edu.wpi.cscore

## Class AxisCamera

- java.lang.Object
- - edu.wpi.cscore.VideoSource
  - - edu.wpi.cscore.VideoCamera
    - - edu.wpi.cscore.HttpCamera
      - - edu.wpi.cscore.AxisCamera

-     public class AxisCamera
      extends HttpCamera

  A source that represents an Axis IP camera.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wpi.cscore.HttpCamera

      `HttpCamera.HttpCameraKind`

    - ### Nested classes/interfaces inherited from class edu.wpi.cscore.VideoCamera

      `VideoCamera.WhiteBalance`

    - ### Nested classes/interfaces inherited from class edu.wpi.cscore.VideoSource

      `VideoSource.Kind`

  - ### Field Summary

    - ### Fields inherited from class edu.wpi.cscore.VideoSource

      `m_handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisCamera(java.lang.String name, java.lang.String host)` Create a source for an Axis IP camera.
    `AxisCamera(java.lang.String name, java.lang.String[] hosts)` Create a source for an Axis IP camera.

  - ### Method Summary

    - ### Methods inherited from class edu.wpi.cscore.HttpCamera

      `getHttpCameraKind, getHttpCameraKindFromInt, getUrls, setUrls`

    - ### Methods inherited from class edu.wpi.cscore.VideoCamera

      `getBrightness, setBrightness, setExposureAuto, setExposureHoldCurrent, setExposureManual, setWhiteBalanceAuto, setWhiteBalanceHoldCurrent, setWhiteBalanceManual`

    - ### Methods inherited from class edu.wpi.cscore.VideoSource

      `enumerateProperties, enumerateSinks, enumerateSources, enumerateVideoModes, equals, free, getDescription, getHandle, getKind, getKindFromInt, getLastFrameTime, getName, getProperty, getVideoMode, hashCode, isConnected, isValid, setFPS, setPixelFormat, setResolution, setVideoMode, setVideoMode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AxisCamera

          public AxisCamera(java.lang.String name,
                            java.lang.String host)

      Create a source for an Axis IP camera.
      Parameters:
        `name` - Source name (arbitrary unique identifier)
        `host` - Camera host IP or DNS name (e.g. "10.x.y.11")

    - #### AxisCamera

          public AxisCamera(java.lang.String name,
                            java.lang.String[] hosts)

      Create a source for an Axis IP camera.
      Parameters:
        `name` - Source name (arbitrary unique identifier)
        `hosts` - Array of Camera host IPs/DNS names